import { Accessor, Binding } from './binding';
export declare function input(node: HTMLInputElement, value: Accessor<string>): Binding;
export declare function event<N extends HTMLElement>(node: N, value: Accessor<{
    [K in keyof HTMLElementEventMap]?: (this: N, ev: HTMLElementEventMap[K]) => void;
}>): Binding;
export declare function click<N extends HTMLElement>(node: N, value: Accessor<(this: N, ev: MouseEvent) => void>): {
    update(): void;
    destroy(): void;
};
